roarbaseclients(1)

NAME

roarcat, roarmon - RoarAudio sound server base clients

SYNOPSIS

roarcat [OPTIONS]... [FILE]

roarmon [OPTIONS]...

DESCRIPTION
This are some basic clients for RoarAuido. Some more complex are listen in the SEE ALSO block. For controlling roard take a look at roarctl(1). For a simple Ogg Vorbis player take a look at roarvorbis(1) (ogg123 supportes RoarAudio via libao plugin).

roarcat
    Sends raw PCM audio data from a file or stdin (pipe) to the sound server.

roarmon
    Gets a copy of the audio data the server sends to the soundcard. This is useful for streaming to a server like icecast2(1).

GENERAL OPTIONS
NOTE: This list is incomplete! In addition to this list all three programs provide compatible options for esdcat, esdmon. You can just replace the "esd" in the name with "roar" or use symlinks. This options are for compatibly only and should not used in new programs.

--help
    Print some help text.

AUDIO OPTIONS

--rate RATE, -R RATE
    Set server sample rate.

--bits BITS, -B BITS
    Set server bits.

--chans CHANNELS, -C CHANNELS
    Set server channels.

NETWORK OPTIONS

--server SERVER
    The server to connect to.

ENVIRONMENT VARIABLES
Bellow only the basic environment varibales are listend. For a complete list see libroar(7).

HOME
    The users home directory.

ROAR_SERVER
    The address of the listening server. This may be in form of host:port for TCP/IP connections and /path/to/sock for UNIX Domain Sockets or any other supported format. See roartips(7) for a full list. This is the same as the --server option.

BUGS
There are a lot of bugs...

SEE ALSO
roarctl(1), roarvorbis(1), roarfish(1), roartestclients(1), roartips(7), libroar(7), RoarAudio(7).

HISTORY

For history information see RoarAudio(7).